#include <vector>

std::vector<int> getVisionPattern1d() {
    return {1, 1, 1, 2, 1, 3};
};

int getMove1d(std::vector<int> v) {
    if (v.size() == 3) {
        if (v[0] == 1) {
            return 2;
        } else if (v[2] == 1) {
            return 0;
        } else if (v[0] == 3) {
            return 0;
        } else {
            return 2;
        }
    } else if (v.size() == 5) {
        if (v[0] == 3) {
            return 0;
        } else {
            return 4;
        }
    } else {
        if (v[1] == 2) {
            return 6;
        } else {
            return 0;
        }
    }
};


std::vector<std::vector<int>> getVisionPattern2d() {

    return {
        {1, 1, 3},
        {1, 2, 1},
        {1, 1, 1}
    };

};

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v) {

    
    if (v.size() == 3) {
        for (int x=0; x<3; x++) {
            for (int y=0; y<3; y++) {
                if (v[x][y] == 3 || v[x][y] == 2) {
                    return {x, y};
                }
            }
        }

    } else if (v.size() == 5) {
        for (int x=1; x<5; x+=2) {
            for (int y=1; y<5; y+=2) {
                if (v[x][y] == 3) {
                    return {x, y};
                }
            }
        }

    } else {
        for (int x=1; x<7; x+=4) {
            for (int y=1; y<7; y+=4) {
                if (v[x][y] == 2) {
                    return {x, y};
                }
            }
        }
    }
};
